OnlyFans API
FanslyConnect Fansly Account

Re-authenticate Account

Trigger re-authentication for an existing Fansly account without re-submitting the username & password. Uses the credentials stored when the account was first connected.

POST
/api/fansly/authenticate/{fanslyAccount}/reauthenticate
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly account ID

Response Body

application/json

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/authenticate/fansly_acct_XXXXXXX/reauthenticate"
{
  "success": true,
  "message": "Re-authentication started.",
  "polling_url": "https://api.example.com/api/fansly/authenticate/fansly_acct_123"
}
{
  "message": "Can't re-authenticate account at this time.",
  "reason": "Account is already successfully authenticated"
}